hosting

GET /v1/sites/{siteId}/apm/traces

List the individual profiled requests kept for a site.

Semua titik akhir hosting

Autentikasi

Kirim kunci API sebagai token bearer. Kunci tersebut harus memiliki izin sites.view; kunci tanpa izin tersebut akan ditolak dengan status 403, bukan 404.

Endpoint ini tidak memerlukan id organisasi. Kunci Anda telah mengidentifikasi organisasi tempatnya berafiliasi, dan respons akan dibatasi untuk organisasi tersebut.

Coba

Ganti apa pun di dalam tanda kurung sudut dengan nilai Anda sendiri, dan placeholder kunci dengan kunci dari dasbor Anda.

curl -X GET https://api.zinndigital.com/v1/sites/{siteId}/apm/traces \
  -H "Authorization: Bearer zdk_live_…"

Sudah masuk? Konsol API di dasbor Anda akan mengisi ID organisasi asli dan kunci Anda sendiri, serta menjalankan permintaan terhadap API langsung sehingga Anda dapat melihat respons aktualnya. Buka titik akhir ini di konsol API

Detail

The sampled requests stored whole, slowest first. A trace is one real request with its function-level breakdown attached; the aggregates above carry the honest averages so the sampling cannot mislead about typical performance. ⛔ Kept for a bounded period (7 days) because a trace with its breakdown is the only row in this vertical that accumulates. The ranked tables keep far longer for a fortieth of the storage. Requires `sites.view` and the `request_profiling` entitlement.

Parameter

NamaJenisWajibTentang apa ini
siteId (path)UuidYaSite ID (UUIDv7).
transaction (query)stringTidakOnly traces whose grouped transaction label matches exactly.
limit (query)integerTidakHow many traces to return (1–100, default 20).

Tanggapan

NamaJenisWajibTentang apa ini
dataSiteApmTrace[]Ya

Kesalahan yang dapat dikembalikan oleh titik akhir ini

401 · 403 · 404 · 422 · 429